> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/fr/commandes-powershell/add-udelement.md).

# Add-UDElement

Add-UDElement insère un nouvel élément dans un élément parent au sein d'un tableau de bord PowerShell Universal, avec un comportement qui varie selon le type de parent.

### Résumé

Ajoute un élément à un élément parent.

### Syntaxe

```powershell
Add-UDElement [-ParentId] <String> [-Content] <ScriptBlock> [-Broadcast] [<CommonParameters>]
```

### Description

Ajoute un élément à un élément parent. Cette applet de commande peut se comporter différemment selon le type d'élément parent.

### Paramètres

#### -ParentId

L'ID de l'élément parent auquel ajouter l'élément.

```
Required?                    true
Position?                    1
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Content

Le contenu à ajouter à l'élément parent.

```
Required?                    true
Position?                    2
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Broadcast

Indique s'il faut mettre à jour tous les tableaux de bord connectés (tous les utilisateurs).

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### Paramètres communs

Cette applet de commande prend en charge les paramètres communs : Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, WarningVariable, OutBuffer, PipelineVariable et OutVariable. Pour plus d'information, voir [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Sorties

### Exemples

#### Exemple 1 : Ajouter un élément

```powershell
New-UDElement -Tag 'div' -Id 'addElement1' -Content {}
New-UDButton -Text 'Click Me' -OnClick {
    Add-UDElement -ParentId 'addElement1' -Content {
        New-UDTypography -Text 'Hello World'
    }
}
```

Ajoute un élément à un élément parent.

#### Exemple 2 : Diffusion

```powershell
New-UDElement -Tag 'div' -Id 'addElement2' -Content {}
New-UDButton -Text 'Click Me' -OnClick {
    Add-UDElement -ParentId 'addElement2' -Content {
        New-UDTypography -Text 'Hello World'
    } -Broadcast
}
```

Ajoute un élément à un élément parent et le diffuse à tous les tableaux de bord connectés.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell-universal/fr/commandes-powershell/add-udelement.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
